Loading...
Searching...
No Matches
casacore::MSFreqOffsetColumns Class Reference
ms package (libcasa_ms) » MeasurementSets_module

More...

`#include <MSFreqOffColumns.h>`

## Public Member Functions

| MSFreqOffsetColumns (const MSFreqOffset &msFreqOffset)
| Create a columns object that accesses the data in the specified Table.
| ~MSFreqOffsetColumns ()
| The destructor does nothing special.
Bool | isNull () const
| Is this object defined?
ScalarColumn< Int > & | antenna1 ()
| Access to required columns.
ScalarColumn< Int > & | antenna2 ()
ScalarColumn< Int > & | feedId ()
ScalarColumn< Double > & | interval ()
ScalarQuantColumn< Double > & | intervalQuant ()
ScalarColumn< Double > & | offset ()
ScalarQuantColumn< Double > & | offsetQuant ()
ScalarColumn< Int > & | spectralWindowId ()
ScalarColumn< Double > & | time ()
ScalarQuantColumn< Double > & | timeQuant ()
ScalarMeasColumn< MEpoch > & | timeMeas ()
const ScalarColumn< Int > & | antenna1 () const
| Const access to required columns.
const ScalarColumn< Int > & | antenna2 () const
const ScalarColumn< Int > & | feedId () const
const ScalarColumn< Double > & | interval () const
const ScalarQuantColumn< Double > & | intervalQuant () const
const ScalarColumn< Double > & | offset () const
const ScalarQuantColumn< Double > & | offsetQuant () const
const ScalarColumn< Int > & | spectralWindowId () const
const ScalarColumn< Double > & | time () const
const ScalarQuantColumn< Double > & | timeQuant () const
const ScalarMeasColumn< MEpoch > & | timeMeas () const
rownr_t | nrow () const
| Convenience function that returns the number of rows in any of the columns.
void | setEpochRef (MEpoch::Types ref, Bool tableMustBeEmpty=True)
| set the epoch type for the TIME column.

## Protected Member Functions

| MSFreqOffsetColumns ()
void | attach (const MSFreqOffset &msFreqOffset)

## Private Member Functions

| MSFreqOffsetColumns (const MSFreqOffsetColumns &)
MSFreqOffsetColumns & | operator= (const MSFreqOffsetColumns &)

## Private Attributes

Bool | isNull_p
ScalarColumn< Int > | antenna1_p
ScalarColumn< Int > | antenna2_p
ScalarColumn< Int > | feedId_p
ScalarColumn< Double > | interval_p
ScalarColumn< Double > | offset_p
ScalarColumn< Int > | spectralWindowId_p
ScalarColumn< Double > | time_p
ScalarMeasColumn< MEpoch > | timeMeas_p
ScalarQuantColumn< Double > | intervalQuant_p
ScalarQuantColumn< Double > | offsetQuant_p
ScalarQuantColumn< Double > | timeQuant_p

## Detailed Description

A class to provide easy access to MSFreqOffset columns

### Intended use:

Public interface

### Review Status

Reviewed By:
  Bob Garwood
Date Reviewed:
  1997/02/01

### Prerequisite

- MSFreqOffset
- ScalarColumn

### Etymology

MSFreqOffsetColumns stands for MeasurementSet FreqOffset Table columns.

### Synopsis

This class provides access to the columns in the MSFreqOffset Table, it does the declaration of all the Scalar and ArrayColumns with the correct types, so the application programmer doesn't have to worry about getting those right. There is an access function for every predefined column. Access to non-predefined columns will still have to be done with explicit declarations. See MSColumns for an example.

### Motivation

See MSColumns for the motivation.

Definition at line 73 of file MSFreqOffColumns.h.

## Constructor & Destructor Documentation

## MSFreqOffsetColumns() [1/3]

casacore::MSFreqOffsetColumns::MSFreqOffsetColumns | ( | const MSFreqOffset & | msFreqOffset | ) |

Create a columns object that accesses the data in the specified Table.

Referenced by MSFreqOffsetColumns(), and operator=().

## ~MSFreqOffsetColumns()

casacore::MSFreqOffsetColumns::~MSFreqOffsetColumns | ( |  | ) |

The destructor does nothing special.

## MSFreqOffsetColumns() [2/3]

casacore::MSFreqOffsetColumns::MSFreqOffsetColumns | ( |  | ) |

protected

## MSFreqOffsetColumns() [3/3]

casacore::MSFreqOffsetColumns::MSFreqOffsetColumns | ( | const MSFreqOffsetColumns & |  | ) |

private

References MSFreqOffsetColumns().

## Member Function Documentation

## antenna1() [1/2]

ScalarColumn< Int > & casacore::MSFreqOffsetColumns::antenna1 | ( |  | ) |

inline

Access to required columns.

Definition at line 87 of file MSFreqOffColumns.h.

References antenna1_p.

## antenna1() [2/2]

const ScalarColumn< Int > & casacore::MSFreqOffsetColumns::antenna1 | ( |  | ) | const

inline

Const access to required columns.

Definition at line 102 of file MSFreqOffColumns.h.

References antenna1_p.

## antenna2() [1/2]

ScalarColumn< Int > & casacore::MSFreqOffsetColumns::antenna2 | ( |  | ) |

inline

Definition at line 88 of file MSFreqOffColumns.h.

References antenna2_p.

## antenna2() [2/2]

const ScalarColumn< Int > & casacore::MSFreqOffsetColumns::antenna2 | ( |  | ) | const

inline

Definition at line 103 of file MSFreqOffColumns.h.

References antenna2_p.

## attach()

void casacore::MSFreqOffsetColumns::attach | ( | const MSFreqOffset & | msFreqOffset | ) |

protected

## feedId() [1/2]

ScalarColumn< Int > & casacore::MSFreqOffsetColumns::feedId | ( |  | ) |

inline

Definition at line 89 of file MSFreqOffColumns.h.

References feedId_p.

## feedId() [2/2]

const ScalarColumn< Int > & casacore::MSFreqOffsetColumns::feedId | ( |  | ) | const

inline

Definition at line 104 of file MSFreqOffColumns.h.

References feedId_p.

## interval() [1/2]

ScalarColumn< Double > & casacore::MSFreqOffsetColumns::interval | ( |  | ) |

inline

Definition at line 90 of file MSFreqOffColumns.h.

References interval_p.

## interval() [2/2]

const ScalarColumn< Double > & casacore::MSFreqOffsetColumns::interval | ( |  | ) | const

inline

Definition at line 105 of file MSFreqOffColumns.h.

References interval_p.

## intervalQuant() [1/2]

ScalarQuantColumn< Double > & casacore::MSFreqOffsetColumns::intervalQuant | ( |  | ) |

inline

Definition at line 91 of file MSFreqOffColumns.h.

References intervalQuant_p.

## intervalQuant() [2/2]

const ScalarQuantColumn< Double > & casacore::MSFreqOffsetColumns::intervalQuant | ( |  | ) | const

inline

Definition at line 106 of file MSFreqOffColumns.h.

References intervalQuant_p.

## isNull()

Bool casacore::MSFreqOffsetColumns::isNull | ( |  | ) | const

inline

Is this object defined?

(MSFreqOffset table is optional)

Definition at line 83 of file MSFreqOffColumns.h.

References isNull_p.

Referenced by nrow().

## nrow()

rownr_t casacore::MSFreqOffsetColumns::nrow | ( |  | ) | const

inline

Convenience function that returns the number of rows in any of the columns.

Returns zero if the object is null.

Definition at line 117 of file MSFreqOffColumns.h.

References antenna1_p, and isNull().

## offset() [1/2]

ScalarColumn< Double > & casacore::MSFreqOffsetColumns::offset | ( |  | ) |

inline

Definition at line 92 of file MSFreqOffColumns.h.

References offset_p.

## offset() [2/2]

const ScalarColumn< Double > & casacore::MSFreqOffsetColumns::offset | ( |  | ) | const

inline

Definition at line 107 of file MSFreqOffColumns.h.

References offset_p.

## offsetQuant() [1/2]

ScalarQuantColumn< Double > & casacore::MSFreqOffsetColumns::offsetQuant | ( |  | ) |

inline

Definition at line 93 of file MSFreqOffColumns.h.

References offsetQuant_p.

## offsetQuant() [2/2]

const ScalarQuantColumn< Double > & casacore::MSFreqOffsetColumns::offsetQuant | ( |  | ) | const

inline

Definition at line 108 of file MSFreqOffColumns.h.

References offsetQuant_p.

## operator=()

MSFreqOffsetColumns & casacore::MSFreqOffsetColumns::operator= | ( | const MSFreqOffsetColumns & |  | ) |

private

References MSFreqOffsetColumns().

## setEpochRef()

void casacore::MSFreqOffsetColumns::setEpochRef | ( | MEpoch::Types | ref,
|  | Bool | tableMustBeEmpty = True )

set the epoch type for the TIME column.

Tip: In principle this function can only be used if the table is empty, otherwise already written values may thereafter have an incorrect reference, offset, or unit; However, it is possible that part of the table gets written before these values are known; In that case the reference, offset, or units can be set by using a False tableMustBeEmpty argument;

References casacore::ref(), and casacore::True.

## spectralWindowId() [1/2]

ScalarColumn< Int > & casacore::MSFreqOffsetColumns::spectralWindowId | ( |  | ) |

inline

Definition at line 94 of file MSFreqOffColumns.h.

References spectralWindowId_p.

## spectralWindowId() [2/2]

const ScalarColumn< Int > & casacore::MSFreqOffsetColumns::spectralWindowId | ( |  | ) | const

inline

Definition at line 109 of file MSFreqOffColumns.h.

References spectralWindowId_p.

## time() [1/2]

ScalarColumn< Double > & casacore::MSFreqOffsetColumns::time | ( |  | ) |

inline

Definition at line 95 of file MSFreqOffColumns.h.

References time_p.

## time() [2/2]

const ScalarColumn< Double > & casacore::MSFreqOffsetColumns::time | ( |  | ) | const

inline

Definition at line 110 of file MSFreqOffColumns.h.

References time_p.

## timeMeas() [1/2]

ScalarMeasColumn< MEpoch > & casacore::MSFreqOffsetColumns::timeMeas | ( |  | ) |

inline

Definition at line 97 of file MSFreqOffColumns.h.

References timeMeas_p.

## timeMeas() [2/2]

const ScalarMeasColumn< MEpoch > & casacore::MSFreqOffsetColumns::timeMeas | ( |  | ) | const

inline

Definition at line 112 of file MSFreqOffColumns.h.

References timeMeas_p.

## timeQuant() [1/2]

ScalarQuantColumn< Double > & casacore::MSFreqOffsetColumns::timeQuant | ( |  | ) |

inline

Definition at line 96 of file MSFreqOffColumns.h.

References timeQuant_p.

## timeQuant() [2/2]

const ScalarQuantColumn< Double > & casacore::MSFreqOffsetColumns::timeQuant | ( |  | ) | const

inline

Definition at line 111 of file MSFreqOffColumns.h.

References timeQuant_p.

## Member Data Documentation

## antenna1_p

ScalarColumn<Int> casacore::MSFreqOffsetColumns::antenna1_p

private

Definition at line 148 of file MSFreqOffColumns.h.

Referenced by antenna1(), antenna1(), and nrow().

## antenna2_p

ScalarColumn<Int> casacore::MSFreqOffsetColumns::antenna2_p

private

Definition at line 149 of file MSFreqOffColumns.h.

Referenced by antenna2(), and antenna2().

## feedId_p

ScalarColumn<Int> casacore::MSFreqOffsetColumns::feedId_p

private

Definition at line 150 of file MSFreqOffColumns.h.

Referenced by feedId(), and feedId().

## interval_p

ScalarColumn<Double> casacore::MSFreqOffsetColumns::interval_p

private

Definition at line 151 of file MSFreqOffColumns.h.

Referenced by interval(), and interval().

## intervalQuant_p

ScalarQuantColumn<Double> casacore::MSFreqOffsetColumns::intervalQuant_p

private

Definition at line 160 of file MSFreqOffColumns.h.

Referenced by intervalQuant(), and intervalQuant().

## isNull_p

Bool casacore::MSFreqOffsetColumns::isNull_p

private

Definition at line 145 of file MSFreqOffColumns.h.

Referenced by isNull().

## offset_p

ScalarColumn<Double> casacore::MSFreqOffsetColumns::offset_p

private

Definition at line 152 of file MSFreqOffColumns.h.

Referenced by offset(), and offset().

## offsetQuant_p

ScalarQuantColumn<Double> casacore::MSFreqOffsetColumns::offsetQuant_p

private

Definition at line 161 of file MSFreqOffColumns.h.

Referenced by offsetQuant(), and offsetQuant().

## spectralWindowId_p

ScalarColumn<Int> casacore::MSFreqOffsetColumns::spectralWindowId_p

private

Definition at line 153 of file MSFreqOffColumns.h.

Referenced by spectralWindowId(), and spectralWindowId().

## time_p

ScalarColumn<Double> casacore::MSFreqOffsetColumns::time_p

private

Definition at line 154 of file MSFreqOffColumns.h.

Referenced by time(), and time().

## timeMeas_p

ScalarMeasColumn<MEpoch> casacore::MSFreqOffsetColumns::timeMeas_p

private

Definition at line 157 of file MSFreqOffColumns.h.

Referenced by timeMeas(), and timeMeas().

## timeQuant_p

ScalarQuantColumn<Double> casacore::MSFreqOffsetColumns::timeQuant_p

private

Definition at line 162 of file MSFreqOffColumns.h.

Referenced by timeQuant(), and timeQuant().

The documentation for this class was generated from the following file:

- ms/MeasurementSets/MSFreqOffColumns.h